- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_bulk_operation_t

# mongoc_bulk_operation_remove_one()

## Synopsis

    void
    mongoc_bulk_operation_remove_one (mongoc_bulk_operation_t *bulk,
                                      const bson_t *selector);

Remove a single document as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

This function is superseded by mongoc_bulk_operation_remove_one_with_opts().

## Parameters

- `bulk`: A mongoc_bulk_operation_t.
- `selector`: A `bson_t` that selects which document to remove.

## See Also

mongoc_bulk_operation_remove_one_with_opts()

mongoc_bulk_operation_remove_many_with_opts()

## Errors

Errors are propagated via mongoc_bulk_operation_execute().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.